Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote
Interface Connection

All Known Implementing Classes:
  AbstractConnection

public interface Connection

Represents a connection between a client and a server. A connection has normally a client end and a server end. Both ends will be implemented in a protocol specific way by JSR 160 protocol provider implementations.

Version:
  $Revision: 1.4 $

Method Summary
`void` | `close()` Closes this connection
`java.lang.String` | `getConnectionId()` Returns the connection ID as specified by JSR 160 specification

Method Detail

### close

    public void close()
               throws java.io.IOException

  Closes this connection

  Throws:
    `java.io.IOException`

### getConnectionId

    public java.lang.String getConnectionId()
                                     throws java.io.IOException

  Returns the connection ID as specified by JSR 160 specification

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.